> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameball.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop Batch Execution

> Stop ongoing batch operations when needed.

## Stop Batch Execution

Stop ongoing batch operations when needed. This endpoint allows you to cancel running batch jobs to manage system resources or handle error conditions.


## OpenAPI

````yaml POST /api/v4.0/integrations/batches/{batchId}/stop
openapi: 3.1.0
info:
  title: Gameball API
  description: >-
    Gameball REST API v4.0 - Complete API reference for integrating loyalty,
    gamification, and customer engagement features
  version: 4.0.0
servers:
  - url: https://api.gameball.co
security:
  - bearerAuth: []
paths:
  /api/v4.0/integrations/batches/{batchId}/stop:
    post:
      description: Stop ongoing batch operations when needed.
      parameters:
        - name: batchId
          in: path
          required: true
          schema:
            type: string
          description: Unique identifier for the batch operation
      responses:
        '200':
          description: Batch operation stopped successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  batchId:
                    type: string
                  status:
                    type: string
                  message:
                    type: string
      security:
        - apiKey: []
          secretKey: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    apiKey:
      type: apiKey
      in: header
      name: apikey
    secretKey:
      type: apiKey
      in: header
      name: secretkey

````